
QGIS Application - Bug report #12793

Minidump when adding a layer (vector, raster, etc.)

2015-05-20 10:22 PM - Oscar Alvarez

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 20890

Description

QGIS creates a minidump file, and crashes when I add a layer (whether a new or existing project), regardless of layer type.

This happens after clicking on the Browse button.

History

#1 - 2015-05-20 11:47 PM - Giovanni Manghi

- Status changed from Open to Feedback

try rename/remove (make a backup first) the .qgis2 folder, restart qgis and try again.

#2 - 2015-05-25 08:16 PM - Oscar Alvarez

I made a backup of the original .qgis2 folder but still the same issue.

I also did a fresh install to the most recent QGIS version and the same minidump happens.

#3 - 2015-05-26 07:21 AM - Saber Razmjooei

Could you specify, platform, QGIS version, installation method, etc?

#4 - 2015-05-26 11:58 AM - Giovanni Manghi

Of course this seems like very much a local issue. Please test also other installations, on other machines, with the same data.

#5 - 2015-05-26 07:33 PM - Oscar Alvarez

Platform: Win7 SP1 64-bit

QGIS 2.8.2 Wien

I downloaded the fresh install via the QGIS website https://www.qgis.org/en/site/forusers/download.html

It's strange that I get the minidump via add vector/raster layer instead of the program shutdown which was documented in another ticket.

If this is a local issue, is there anything that I should look out for, say antivirus or icloud settings?

Will check later on my Mac if this will also be an issue.
#6 - 2015-05-31 10:23 PM - Oscar Alvarez

Had installed QGIS on my Macbook Pro, with OS X Yosemite.

Did all the instructions on the KyngChaos wiki.

No issues noticed when trying to open layers.

So is there anything that I should look out for on my Windows installation?

#7 - 2015-06-01 05:23 AM - Saber Razmjooei

Are you trying to access a network drive for adding a vector/raster layer? Or is it on a local drive?

#8 - 2015-06-03 07:28 AM - Ravic Nijbroek

Hi Oscar, have you found a solution yet? I'm a new QGIS user and have the same problem. I can add a file (vector, raster, etc) by browsing to the file and

double clicking. However, if I use the Add Vector (or Raster) button, then click on browse, I get the same minidump error and crash. I also use Windows 7

on a 64bit OS and just downloaded and installed v2.8.2. Changing the .qgis2 folder did not help.

#9 - 2015-06-03 07:33 AM - Saber Razmjooei

Oscar and Ravic:

Do you use Anti Virus?

#10 - 2015-06-06 08:52 AM - Ravic Nijbroek

I use ESET antivirus software on my work laptop. 

Since you asked about this, I turned it off temporarily and restarted QGIS. Still get the same error when I click on browse:

minidump written to C:\\Users\\RNIJBRR~1\\AppData\\Local\\Temp\\qgis-20150604-120452-11284-11996-1b929ef.dmp

#11 - 2015-06-23 04:17 AM - Andreas Neumann

Hi,

I just tried adding layers from the browser on Win7, 64bit. I tested versions 2.8.2, 2.8 nightly and master. All work fine without crashes.

Can you please test 2.8 nightly and/or master and see if the issue still exists?

Thanks,

Andreas

#12 - 2015-08-25 07:06 AM - Frank Sokolic

- Target version set to Version 2.10

Not sure if it is the same error but I get a crash and minidump every time I try to add a layer with QGIS 2.10.1 Pisa (standalone installation) on Win7

SP1 64-bit.
On further inspection this crash occurs with any operation that tries to open the File dialogue. All of the following cause a crash:

    -  Project > Open

    -  Project > Save

    -  Project > Save As

    -  Add vector layer > Browse

    -  Add raster layer

    -  Any of the Vector > Geoprocessing tools when clicking Browse

Could this be something specific to Win7 SP1 64-bit?

Dragging and dropping layers from the Browser dock works fine.

The file dialogue in the standalone QGIS Browser > New Shapefile > Ok > Save layer as... works fine.

#13 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#14 - 2015-12-19 10:08 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback.
